Subject: bug#50773: ungoogled-chromium fails to use webcam

From: Ludovic Courtès <[email-masked]>
Date: Mon, 08 Nov 2021 09:46:32 +0100

Hello!

Ludovic Courtès <[email-masked]> skribis:

> As of commit c582be4c38596a6a31a39c6799723dcd8b6eb909 (Sept. 23),
> ungoogled-chromium fails to grab images from my webcam (for instance in
> BigBlueButton instances), printing this message repeatedly:
>
>   [4685:3:0924/102919.814053:ERROR:video_stream_encoder.cc(1762)] Failed to encode frame. Error code: -7

For the record, this is still the case with:

--8<---------------cut here---------------start------------->8---
$ guix describe
Generacio 194   Nov 07 2021 23:40:30    (nuna)
  guix bd41e59
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: bd41e590dd24e54797fb8b6854c244efd4d12df5
$ guix package -A ungoogled
ungoogled-chromium      95.0.4638.69-1  out     gnu/packages/chromium.scm:489:2
ungoogled-chromium-wayland      95.0.4638.69-1  out     gnu/packages/chromium.scm:957:2
--8<---------------cut here---------------end--------------->8---

> I found that an older generation (Aug. 30) works for me:
>
>   guix time-machine --commit=f91ae9425bb385b60396a544afe27933896b8fa3 -- \
>     environment --ad-hoc ungoogled-chromium -- chromium

Still my preferred workaround.  :-)

Efraim Flashner <[email-masked]> skribis:

> I'm fighting ungoogled chromium for something unrelated, but I noticed I
> needed to add thirdparty/libusb to %preserved-third-party-files to get
> it to build headless for me. Perhaps it tries to reach out directly to
> the webcam through usb itself?

I don’t know, not sure how to debug this.

Marius, do you have ideas of things to look at?

Thanks,
Ludo’.